/**
 * Created with JetBrains WebStorm.
 * User: adxing
 * Date: 14-11-26
 * Time: 下午16:05
 * To change this template use File | Settings | File Templates.
 */

var commAdapter = commAdapter || {};
/**
 * js调Android方法集合
 */
commAdapter.callAndroid = {

    /**
    * Android接口
    */
    commInterface: window.commInterface,

    /**
    * 调用拍照
    * @param evtName 回调函数名
    * @param callback 回调函数
    * @returns {*}
    */
    playCamera: function(evtName,picount ,callback) {
        if (typeof callback === 'function' && eventDispatcher) {
            if (!eventDispatcher.events.hasOwnProperty(evtName))
                eventDispatcher.addEventListener(evtName,callback,picount);
        }
        this.commInterface.playCamera(evtName,picount);
    },

    exitLogin: function() {
        this.commInterface.clickMoreOption();
    },

    saveLoginInfo: function(uname, pwd) {
        this.commInterface.saveLoginInfo(uname, pwd);
    },

    checkupdate: function() {
        this.commInterface.checkupdate();
    },

    loginIMService: function(user) {
        this.commInterface.loginIMService(user);
    },

    playRecord: function(url,lessonid,sourceType) {
        this.commInterface.playRecord(url,lessonid,sourceType);
    },

    uploadPics: function(datajson, evtName, callback) {
        if (typeof callback == 'function' && eventDispatcher) {
            if (!eventDispatcher.events.hasOwnProperty(evtName))
                eventDispatcher.addEventListener(evtName, callback);
        }
        this.commInterface.uploadPics(datajson, evtName);
    },

    aftersubmitwork: function(works) {
        this.commInterface.showCreditAnimation(works);
    },

    startAudio: function(evtName, callback) {
        if (typeof callback == 'function' && eventDispatcher) {
            if (!eventDispatcher.events.hasOwnProperty(evtName))
                eventDispatcher.addEventListener(evtName, callback);
        }
        this.commInterface.startAudio(evtName);
    },

    stopAudio: function() {
        return this.commInterface.stopAudio();
    },

    stopPlayAudio: function() {
        this.commInterface.stopPlayAudio();
    },

    playAudio: function(audio_path, evtName, callback) {
        if (typeof callback == 'function' && eventDispatcher) {
            if (!eventDispatcher.events.hasOwnProperty(evtName))
                eventDispatcher.addEventListener(evtName, callback);
        }
        this.commInterface.playAudio(audio_path, evtName);
    },

    cancelAudio: function(audio_path) {
        this.commInterface.cancelAudio(audio_path);
    },

    saveAudio: function(datajson, evtName, callback) {
        if (typeof callback == 'function' && eventDispatcher) {
            if (!eventDispatcher.events.hasOwnProperty(evtName))
                eventDispatcher.addEventListener(evtName, callback);
        }
        this.commInterface.saveAudio(datajson, evtName);
    },

    stopAll: function() {
        this.commInterface.stopAll();
    },

    playMp3: function(url) {
        this.commInterface.playMp3(url);
    },

    startEvalLearn: function(soundtext,evtName, callback) {
    	  if (typeof callback == 'function' && eventDispatcher) {
            if (!eventDispatcher.events.hasOwnProperty(evtName))
                eventDispatcher.addEventListener(evtName, callback);
        }
        this.commInterface.startEvalLearn(soundtext, evtName);
    },

    toWorkList: function() {
        this.commInterface.toWorkList();
    },

    playpicture: function(imgjson, index) {
        this.commInterface.playpicture(imgjson, index);
    },

	playpicture2: function(imgjson,index){
		this.commInterface.playpicture2(imgjson,index);
	},
	
    bindMethod: function(evtName, callback) {

        if (typeof callback === 'function' && eventDispatcher) {
            if (!eventDispatcher.events.hasOwnProperty(evtName)) {
                eventDispatcher.addEventListener(evtName, callback);
            }
        }
    },

    savework: function(strjson,undosort,subtype) {
        this.commInterface.savework(strjson, undosort,subtype);
    },
    showDetail: function(shwid) {
        this.commInterface.showDetail(shwid);
    },

    delsource: function(wrsid, evtName, callback) {
        if (typeof callback === 'function' && eventDispatcher) {
            if (!eventDispatcher.events.hasOwnProperty(evtName)) {
                eventDispatcher.addEventListener(evtName, callback);
            }
        }
        this.commInterface.delsource(wrsid, evtName);
    },
    
    showloading:function(){
        this.commInterface.showloading();
    },
	
	getHostUrl:function(){
        return this.commInterface.getHostUrl();
	},
    /*获取学生作业的信息*/
	getStudentdoWork: function (evtName, callback) {

	    if (typeof callback == 'function' && eventDispatcher) {
	        if (!eventDispatcher.events.hasOwnProperty(evtName))
	            eventDispatcher.addEventListener(evtName, callback);
	    }
	    this.commInterface.getStudentdoWork(evtName);
	},
	
	/*获取学生作业详情*/
	getWorkDetails:function(evtName,shwid,isvideo,callback){
		if (typeof callback == 'function' && eventDispatcher) {
	        if (!eventDispatcher.events.hasOwnProperty(evtName))
	            eventDispatcher.addEventListener(evtName, callback);
	    }

	    this.commInterface.getWorkDetails(evtName,shwid,isvideo);
	},
	
    /*传图片本地地址，获取图片的base64编码*/
	getBase64fromPic: function (picpath) {
	    return this.commInterface.getBase64fromPic(picpath);
	},
	/*获得shwid*/
	getShwid:function(flag){
		return this.commInterface.getShwid(flag);
	},
	
	openOtherPaper:function(shwid,stuname){
		return this.commInterface.openOtherPaper(shwid,stuname);
	},
	
	submitWhenDingZheng:function(submitjson){
		this.commInterface.submitWhenDingZheng(submitjson);
	},
	
	loadfinish:function(pageheight){
		this.commInterface.loadfinish(pageheight);
	},

	lookquestion: function (workjson) {
	    this.commInterface.lookquestion(workjson);
	},
	
	setneed:function(evtName,json,callback){
		if (typeof callback == 'function' && eventDispatcher) {
	        if (!eventDispatcher.events.hasOwnProperty(evtName))
	            eventDispatcher.addEventListener(evtName, callback);
	    }
	    this.commInterface.setneed(evtName,json);
	},

    /*获取学生作业的信息*/
    getShareWorks: function (evtName,shwid ,callback) {
        if (typeof callback == 'function' && eventDispatcher) {
            if (!eventDispatcher.events.hasOwnProperty(evtName))
                eventDispatcher.addEventListener(evtName, callback);
        }
        this.commInterface.getShareWorks(evtName,shwid);
    },
    lookElectronic: function (shwid, bqueid, squeid) {
        this.commInterface.lookElectronic(shwid, bqueid, squeid);
    }
}


