﻿var main_obj;
var shwId;
var imgarrlist = [];
var flagid;
var fs_optionid;
var subtype;
var questionlist = [];
var img_count = 0;
var audio_count = 0;
var pic_id_arr = [];
var audio_id_arr = [];
var testsound;

/*定时器*/
var total_ss = 0;
var t_hour, t_minute, t_second;
var timer_t;/*timer_out方法*/
/*定时器 end*/

$(function () {
	host_root = commAdapter.callAndroid.getHostUrl();
	host_url = host_root+"homework/";
	
    main_obj = $('#wrapper');
    shwId = getQueryString('shwid')
    dowork.init();
    commAdapter.callAndroid.bindMethod('subwork', subwork);
});

var dowork = {
    /*初始化答题卡*/
    init: function() {
        $.ajax({
            async: false,
            type: "POST",
            url: host_url + "StudentHome-doWork",
            data: { shwid: shwId },
            dataType: 'jsonp',
            jsonp: "jsoncallback",
            contentType: "application/json;utf-8",
            success: function(r) {
                var main_obj = $('#wrapper');
                $('.theworktitle').html(r.homework.TipInfos);
                dowork.loadimg(r.imglist);
                dowork.loadquestion(r.queslist);
                dowork.bindquestion();
            }, error: function(r) {
                alert("系统异常");
            }
        });
    },
    /*加载图片*/
    loadimg: function(imglist) {
        var appHtml = "";
        var parentid = "";
        for (var i = 0; i < imglist.length; i++) {
            var obj = imglist[i];
            if (obj.pictype == 1) {
                /*语音*/
                appHtml += "<a class='quesaudio' data-src='" + obj.sourcepath + "'></a>";
                parentid = obj.parentid;
            } else {
                /*图片*/
                if (parentid == obj.parentid)
                    appHtml += "<a class='quesimg' data-src='" + obj.sourcepath + "' style='display:none;'></a>";
                else
                    appHtml += "<a class='quesimg' data-src='" + obj.sourcepath + "' ><img src='" + obj.sourcepath + "' /></a>";
                parentid = obj.parentid;
                imgarrlist.push(obj.sourcepath);
            }
        }
        $('#askpic').html(appHtml);
        this.imgbind();
    },
    /*图片绑定*/
    imgbind: function() {
        $('.quesimg', $('#askpic')).click(function() {
            var index = $(this).index();
            var imgJson = JSON.stringify(imgarrlist);
            commAdapter.callAndroid.playpicture(imgJson, index);
        });

        $('.quesaudio').click(function() {
            var audio_url = $(this).data('src');
            commAdapter.callAndroid.playMp3(audio_url);
        });
    },
    /*加载题目*/
    loadquestion: function(queslist) {
        var appHtml = "";
        for (var i = 0; i < queslist.length; i++) {
            var mainque = queslist[i];
            switch (mainque.typeid) {
                case "1":
                    appHtml += this.loadchoice(mainque);
                    break;
                case "2":
                    appHtml += this.loadjudge(mainque);
                    break;
                case "3":
                    appHtml += this.loadanwser(mainque);
                    break;
                case "4":
                    appHtml += this.loadsound(mainque);
                    break;
                case "5":
                    appHtml += this.loadsoundtest(mainque);
                    break;
            }
        }
        /*题目内容加入到页面中*/
        $('.theworkquestion', main_obj).html(appHtml);
    },
    /*选择题*/
    loadchoice: function(mainque) {
        var appHtml = "";
        appHtml += "<div class='choose_n'>";
        appHtml += "<span class='number number_word number_word_untake'>";
        appHtml += mainque.sortorder + "、<i>" + mainque.maintitle + "</i>";
        appHtml += "</span>";
        appHtml += "<div class='q_but_box getphoto' data-id='" + mainque.mainid + "'>";
        appHtml += "<span class='q_button'><a href=''>拍照上传</a></span>";
        appHtml += "</div>";
        appHtml += "<div class='work_upload'>";
        appHtml += "<div class='preview " + mainque.mainid + "' data-order='" + mainque.sortorder + "'>";
        for (var i = 0; i < mainque.imgs.length; i++) {
            var img = mainque.imgs[i];
            appHtml += "<div id='wrs" + img.wrsId + "' class='upload_box' data-isave='1'>";
            appHtml += "<div class='upld_box_con'>";
            appHtml += "<span class='upld_icon_del saved' data-wrsid='" + img.wrsId + "'></span>";
            appHtml += "<a class='bigimg saved'><img class='saved' data-wrsid='" + img.wrsId + "' data-mainid='" + mainque.mainid + "' style='width:60px;height:60px;border-radius:6px;' data-sourcepath='" + img.path + "' src='" + img.path + "'></a>";
            appHtml += "</div>";
            appHtml += "</div>"
        }
        appHtml += "</div></div><table><tbody>";
        for (var i = 0; i < mainque.ques.length; i++) {
            var que = mainque.ques[i];
            var stuanwser = que.stuanwser;
            appHtml += "<tr data-opid='" + que.optionid + "' class='quechoice'>";
            appHtml += "<td class='Smalltitle subtitle'>" + que.sortorder + "</td>";
            for (var j = 0; j < mainque.oplist.length; j++) {
                var op = mainque.oplist[j];
                if (stuanwser == null)
                    appHtml += "<td><a href='#' class='choose_nb choiceop' data-value='" + op + "'>" + op + "</a></td>";
                else {
                    if (stuanwser.indexOf(op) >= 0)
                        appHtml += "<td><a href='#' class='choose_nb choiceop ture' data-value='" + op + "'>" + op + "</a></td>";
                    else
                        appHtml += "<td><a href='#' class='choose_nb choiceop' data-value='" + op + "'>" + op + "</a></td>";
                }
            }
            appHtml += "</tr>"
        }
        appHtml += "</tbody></table>";
        appHtml += "</div>";
        return appHtml;
    },
    /*判断题*/
    loadjudge: function(mainque) {
        var appHtml = "";
        appHtml += "<div class='choose_n'>";
        appHtml += "<span class='number number_word number_word_untake'>";
        appHtml += mainque.sortorder + "、<i>" + mainque.maintitle + "</i>";
        appHtml += "</span>";
        appHtml += "<div class='q_but_box getphoto' data-id='" + mainque.mainid + "'>";
        appHtml += "<span class='q_button'><a href=''>拍照上传</a></span>";
        appHtml += "</div>";
        appHtml += "<div class='work_upload'>";
        appHtml += "<div class='preview " + mainque.mainid + "' data-order='" + mainque.sortorder + "'>";
        for (var i = 0; i < mainque.imgs.length; i++) {
            var img = mainque.imgs[i];
            appHtml += "<div id='wrs" + img.wrsId + "' class='upload_box' data-isave='1'>";
            appHtml += "<div class='upld_box_con'>";
            appHtml += "<span class='upld_icon_del saved' data-wrsid='" + img.wrsId + "'></span>";
            appHtml += "<a class='bigimg saved'><img class='saved' data-wrsid='" + img.wrsId + "' data-mainid='" + mainque.mainid + "' style='width:60px;height:60px;border-radius:6px;' data-sourcepath='" + img.path + "' src='" + img.path + "'></a>";
            appHtml += "</div>";
            appHtml += "</div>"
        }
        appHtml += "</div></div><table><tbody>";
        for (var i = 0; i < mainque.ques.length; i++) {
            var que = mainque.ques[i];
            var stuanwser = que.stuanwser;
            appHtml += "<tr data-opid='" + que.optionid + "' class='quejudge'>";
            appHtml += "<td class='Smalltitle subtitle'>" + que.sortorder + "</td>";
            if (stuanwser == "A")
                appHtml += "<td><a href='#' class='judge judgeop ture' data-value='A'>正确</a></td>";
            else
                appHtml += "<td><a href='#' class='judge judgeop' data-value='A'>正确</a></td>";
            if (stuanwser == "B")
                appHtml += "<td><a href='#' class='judge judgeop ture' data-value='B'>错误</a></td>";
            else
                appHtml += "<td><a href='#' class='judge judgeop' data-value='B'>错误</a></td>";
        }
        appHtml += "</tbody></table>";
        appHtml += "</div>";
        return appHtml;
    },
    /*问答题*/
    loadanwser: function(mainque) {
        var appHtml = "";
        appHtml += "<div class='choose_n'>";
        appHtml += "<span class='number number_word number_word_take'>";
        appHtml += mainque.sortorder + "、<i>" + mainque.maintitle + "</i>";
        appHtml += "</span>";
        appHtml += "<div class='q_but_box getphoto' data-id='" + mainque.mainid + "'>";
        appHtml += "<span class='q_button'><a>拍照上传</a></span>";
        appHtml += "</div>";
        appHtml += "<div class='work_upload'>";
        appHtml += "<div class='preview " + mainque.mainid + "' data-order='" + mainque.sortorder + "'>";
        for (var i = 0; i < mainque.imgs.length; i++) {
            var img = mainque.imgs[i];
            appHtml += "<div id='wrs" + img.wrsId + "' class='upload_box' data-isave='1'>";
            appHtml += "<div class='upld_box_con'>";
            appHtml += "<span class='upld_icon_del saved' data-wrsid='" + img.wrsId + "'></span>";
            appHtml += "<a class='bigimg'><img class='saved' data-wrsid='" + img.wrsId + "' data-mainid='" + mainque.mainid + "' style='width:60px;height:60px;border-radius:6px;' data-sourcepath='" + img.path + "' src='" + img.path + "'></a>";
            appHtml += "</div>";
            appHtml += "</div>"
        }
        appHtml += "</div></div><table>";
        for (var i = 0; i < mainque.ques.length; i++) {
            var que = mainque.ques[i];
            appHtml += "<tr data-id='" + que.optionid + "' class='zgsmall queask'>";
            appHtml += "<td><a href='#' class='Smalltitle subtitle'>" + que.sortorder + "</a></td>";
            appHtml += "<td><div class='q_but_box getphoto' data-id='" + que.optionid + "'>";
            appHtml += "<span class='q_button'><a>拍照上传</a></span>";
            appHtml += "</div></td>";
            appHtml += "</tr>";
            appHtml += "<tr class='zgsmall'><td colspan='2'><div class='work_upload'>";
            appHtml += "<div class='preview " + que.optionid + "' data-order='" + que.sortorder + "'>";
            for (var j = 0; j < que.imglist.length; j++) {
                var limg = que.imglist[j];
                appHtml += "<div id='wrs" + limg.wrsId + "' class='upload_box' data-isave='1'>";
                appHtml += "<div class='upld_box_con'>";
                appHtml += "<span class='upld_icon_del saved' data-wrsid='" + limg.wrsId + "'></span>";
                appHtml += "<a class='bigimg'><img class='saved' data-wrsid='" + limg.wrsId + "' data-mainid='" + que.optionid + "' style='width:60px;height:60px;border-radius:6px;' data-sourcepath='" + limg.path + "' src='" + limg.path + "' /></a>";
                appHtml += "</div>";
                appHtml += "</div>";
            }
            appHtml += "</div></div></td></tr>"
        }
        appHtml += "</table>";
        appHtml += "</div>";
        appHtml += "</div>";
        appHtml += "</div>";
        return appHtml;
    },
    /*语音题*/
    loadsound: function(mainque) {
        var appHtml = "";
        appHtml += "<div class='choose_n'>";
        appHtml += "<span class='number number_word number_word_untake'>";
        appHtml += mainque.sortorder + "、<i>" + mainque.maintitle + "</i>";
        appHtml += "</span>";
        appHtml += "<div class='q_but_box getphoto' data-id='" + mainque.mainid + "'>";
        appHtml += "<span class='q_button'><a>拍照上传</a></span>";
        appHtml += "</div>";
        appHtml += "<div class='work_upload'>";
        appHtml += "<div class='preview " + mainque.mainid + "' data-order='" + mainque.sortorder + "'>";
        for (var i = 0; i < mainque.imgs.length; i++) {
            var img = mainque.imgs[i];
            appHtml += "<div id='wrs" + img.wrsId + "' class='upload_box' data-isave='1'>";
            appHtml += "<div class='upld_box_con'>";
            appHtml += "<span class='upld_icon_del saved' data-wrsid='" + img.wrsId + "'></span>";
            appHtml += "<a class='bigimg saved'><img class='saved' data-wrsid='" + img.wrsId + "' data-mainid='" + mainque.mainid + "' style='width:60px;height:60px;border-radius:6px;' data-sourcepath='" + img.path + "' src='" + img.path + "'></a>";
            appHtml += "</div>";
            appHtml += "</div>"
        }
        appHtml += "</div></div><table>";
        for (var i = 0; i < mainque.ques.length; i++) {
            var que = mainque.ques[i];
            appHtml += "<tr data-id='" + que.optionid + "'  class='zgsmall quesound yuyin_question'>";
            appHtml += "<td><a href='#' class='Smalltitle subtitle subtitle_yuyin'>" + que.sortorder + "</a></td>";
            appHtml += "<td><div class='subspan_yuyin soundquestion saveRecord' data-id='" + que.optionid + "'>";
            appHtml += "<span style='color:515151;' class='subspan' data-id='" + que.optionid + "'><a>点击录音</a></span>";
            appHtml += "</div></td>";
            appHtml += "<td id='option" + que.optionid + "'>";
            if (que.audio != null) {
                appHtml += "<div id='wrs" + que.audio.Id + "' class='time_yuyin'>";
                appHtml += "<em class='time_icon_yy'></em>";
                appHtml += "<span class='savedaudio'><audio src='" + que.audio.SourcePath + "'></audio>" + que.audio.totalTime + "</span>";
                appHtml += "<dl class='delRecord saved' data-wrsid='" + que.audio.Id + "'></dl>";
                appHtml += "</div>";
            }
            appHtml += "</td>";
            appHtml += "</tr>";
        }
        appHtml += ""
        appHtml += "</table>";
        appHtml += "</div>";
        return appHtml;
    },
    /*语音评测题*/
    loadsoundtest: function(mainque) {
        var appHtml = "";
        appHtml += "<div class='choose_n'>";
        appHtml += "<span class='number number_word number_word_untake'>";
        appHtml += mainque.sortorder + "、<i>" + mainque.maintitle + "</i>";
        appHtml += "</span>";
        appHtml += "<div class='q_but_box getphoto' data-id='" + mainque.mainid + "'>";
        appHtml += "<span class='q_button'><a>拍照上传</a></span>";
        appHtml += "</div>";
        appHtml += "<div class='work_upload'>";
        appHtml += "<div class='preview " + mainque.mainid + "' data-order='" + mainque.sortorder + "'>";
        for (var i = 0; i < mainque.imgs.length; i++) {
            var img = mainque.imgs[i];
            appHtml += "<div id='wrs" + img.wrsId + "' class='upload_box' data-isave='1'>";
            appHtml += "<div class='upld_box_con'>";
            appHtml += "<span class='upld_icon_del saved' data-wrsid='" + img.wrsId + "'></span>";
            appHtml += "<a class='bigimg saved'><img class='saved' data-wrsid='" + img.wrsId + "' data-mainid='" + mainque.mainid + "' style='width:60px;height:60px;border-radius:6px;' data-sourcepath='" + img.path + "' src='" + img.path + "'></a>";
            appHtml += "</div>";
            appHtml += "</div>"
        }
        appHtml += "</div></div><table>";
        for (var i = 0; i < mainque.ques.length; i++) {
            var que = mainque.ques[i];
            appHtml += "<tr data-id='" + que.optionid + "'  class='zgsmall soundtest st_question'>";
            appHtml += "<td><a href='#' class='Smalltitle subtitle subtitle_soundtest'>" + que.sortorder + "</a></td>";
            appHtml += "<td><div class='subspan_soundtest soundquestion doquestion' data-content='" + que.content + "' data-id='" + que.optionid + "'><span style='color:515151;' data-content='" + que.content + "' class='subspan' data-id='" + que.optionid + "'><a>点击答题</a></span></div></td>";
            appHtml += "<td class='qw_soundscore' id='option" + que.optionid + "'>";
            if (que.audio != null) {
                appHtml += "<div id='wrs" + que.audio.Id + "' class='time_yuyin'>";
                appHtml += "<em class='time_icon_yy'></em>";
                appHtml += "<span class='savedaudio'><audio src='" + que.audio.SourcePath + "'></audio>" + que.audio.totalTime + "</span>";
                appHtml += "<dl class='delRecord saved' data-wrsid='" + que.audio.Id + "'></dl>";
                appHtml += "</div>";
                appHtml += "<div class='audioscore'>得分:<em>" + que.audio.score + "</em></div>"
            }
            appHtml += "</td>";
            appHtml += "</tr>";
        }
        appHtml += "</table>";
        appHtml += "</div>";
        return appHtml;
    },
    /*绑定题目*/
    bindquestion: function() {
        this.bindchoice();
        this.bindjudge();
        this.bindask();
        this.bindsound();
        this.bindsoundtest();
    },
    /*绑定选择题*/
    bindchoice: function() {
        $('.choiceop', main_obj).click(function() {
            if ($(this).hasClass("ture"))
                $(this).removeClass("ture");
            else
                $(this).addClass("ture");
            return false;
        });
    },
    /*绑定判断题*/
    bindjudge: function() {
        $(".judgeop", main_obj).click(function() {
            if ($(this).hasClass("ture")) {
                $(this).removeClass("ture");
            } else {
                $(this).parents("tr").find(".ture").removeClass("ture");
                $(this).addClass("ture");
            }
            return false;
        })
    },
    /*绑定图片回答*/
    bindask: function() {
        $('.getphoto', main_obj).click(function() {
            flagid = $(this).data('id');
            commAdapter.callAndroid.playCamera('getpicture', function(returnvalue) {
                var return_obj = eval('(' + returnvalue + ')');

                var path = return_obj.src;
                var spath = return_obj.path;

                var t = new Date().getTime();

                $('.preview.' + flagid).append('<div class="upload_box"><div class="upld_box_con"><span class="upld_icon_del"></span><a class="bigimg"><img id="' + t + '" data-mainid="' + flagid + '" style="width: 60px;height: 60px;border-radius:6px;" data-sourcepath="' + spath + '" src="' + path + '"></a></div></div>');

                $("#" + t).parent().parent().find('.upld_icon_del').click(function() {
                    var img = $(this).parents(".upload_box");
                    $(img).remove();
                    return false;
                });

                $("#" + t).parent().parent().find('.bigimg').click(function() {
                    var imgArr = [];
                    var index = $('.bigimg').index(this);
                    $('.bigimg', main_obj).each(function() {
                        var imgpath = $(this).find('img').data('sourcepath');
                        imgArr.push(imgpath);
                    });
                    var imgJson = JSON.stringify(imgArr);
                    commAdapter.callAndroid.playpicture(imgJson, index);
                });
            });
            return false;
        });

        $('.bigimg', main_obj).click(function() {
            var imgArr = [];
            var index = $('.bigimg').index(this);
            $('.bigimg', main_obj).each(function() {
                var imgpath = $(this).find('img').data('sourcepath');
                imgArr.push(imgpath);
            });
            var imgJson = JSON.stringify(imgArr);
            commAdapter.callAndroid.playpicture(imgJson, index);
        });

        $('.upld_icon_del.saved').click(function() {
            var wrsid = $(this).data('wrsid');
            if (confirm('确定要删除该资源？')) {
                commAdapter.callAndroid.delsource(wrsid, 'delsource', function(id) {

                    $('#wrs' + id).remove();
                });
            }
        });
    },
    /*绑定语音题*/
    bindsound: function() {
        /*audio标签的播放功能*/
        $('.savedaudio', main_obj).click(function() {
            var audio_obj = $(this).find('audio');
            if (audio_obj.parent().hasClass('spanplaying')) {
                audio_obj.parent().removeClass('spanplaying');
                audio_obj[0].pause();
            } else {
                audio_obj.parent().addClass('spanplaying');
                audio_obj[0].currentTime = 0;
                audio_obj[0].volume = 1;
                audio_obj[0].play();
            }
        });

        $('audio').each(function() {
            $(this)[0].addEventListener('ended', function() {
                $(this).parent().removeClass('spanplaying');
            });
        });

        var bf_span_obj;

        $('.saveRecord', main_obj).click(function() {
            if ($('.zzly', main_obj).length > 0)
                return false;

            var candel = true;
            if ($(this).parent().parent().find('.delRecord.saved').length > 0) {
                var wrsid = $(this).parent().parent().find('.delRecord.saved').data('wrsid');
                if (confirm('确定要删除录音？')) {
                    commAdapter.callAndroid.delsource(wrsid, 'delsource', function(id) {
                        $('#wrs' + id).remove();
                    });
                } else {
                    candel = false;
                }
            }
            if (candel) {
                commAdapter.callAndroid.startAudio('sAudio', function() {
                    $('.zzly', main_obj).removeClass('zzly');
                    $('.sound_box').hide();
                });

                $('.audiopath.spanplaying').removeClass('spanplaying');
                commAdapter.callAndroid.stopPlayAudio();

                $(this).addClass('zzly');
                fs_optionid = $(this).data('id');
                total_ss = 0;
                $('.lysc', $('#zylyjm')).html("00:00:00");
                timer_t = setInterval("startTimer()", 1000);
                $('.sound_box').show();
            }
        });

        $('.delRecord.saved').click(function() {
            var wrsid = $(this).data('wrsid');
            if (confirm('确定要删除该资源？')) {
                commAdapter.callAndroid.delsource(wrsid, 'delsource', function(id) {
                    $('#wrs' + id).remove();
                });
            }
        });

        $('.lyjs', $('#zylyjm')).click(function() {
            canceltimer();
            var returnvalue = commAdapter.callAndroid.stopAudio();
            var return_obj = eval('(' + returnvalue + ')');
            var path = return_obj.audiopath;
            var totaltime = return_obj.totaltime;
            var tempid = new Date().getTime();
            $("#option" + fs_optionid).html("<div class='time_yuyin' id='" + tempid + "'><em class='time_icon_yy'></em><span class='audiopath' data-duration='" + totaltime + "' data-optionid='" + fs_optionid + "' data-src='" + path + "'>" + totaltime + "</span><dl class='delRecord'></dl></div>");

            $('.delRecord', $('#' + tempid)).click(function() {
                var audio_path = $(this).parent().find('.audiopath').data('src');
                commAdapter.callAndroid.cancelAudio(audio_path);
                $(this).parent().remove();
            });

            $('.audiopath', $('#' + tempid)).click(function() {
                var obj_this_audio = $(this);
                if (obj_this_audio.hasClass('spanplaying')) {
                    commAdapter.callAndroid.stopPlayAudio();
                    $(this).removeClass('spanplaying')
                } else {
                    var audio_path = obj_this_audio.data('src');
                    commAdapter.callAndroid.playAudio(audio_path, 'audioplay', function() {
                        bf_span_obj.removeClass('spanplaying')
                    });
                    bf_span_obj = obj_this_audio;
                    $('.audiopath').removeClass('spanplaying')
                    $(this).addClass('spanplaying')
                }
            });

            total_ss = 0;
            $('.zzly', main_obj).removeClass('zzly');
            $('.sound_box').hide();
        });
    },
    bindsoundtest: function() {
        $('.doquestion', main_obj).click(function() {
            var candel = true;
            if ($(this).parent().parent().find('.delRecord.saved').length > 0) {
                var wrsid = $(this).parent().parent().find('.delRecord.saved').data('wrsid');
                if (confirm('确定要删除原录音？')) {
                    commAdapter.callAndroid.delsource(wrsid, 'delsource', function(id) {
                        $('#wrs' + id).remove();
                    });
                } else {
                    candel = false;
                }
            }

            if (!candel)
                return false;

            var content_url = $(this).data('content');
            testsound = $(this).parent();
            fs_optionid = $(this).data('id');

            $('.audiopath.spanplaying').removeClass('spanplaying');
            commAdapter.callAndroid.stopPlayAudio();

            commAdapter.callAndroid.startEvalLearn(content_url, 'gettestscore', function(returnvalue) {
                var return_obj = eval('(' + returnvalue + ')');
                var audiopath = return_obj.audiopath;
                var totaltime = return_obj.totaltime;
                var score = return_obj.score;
                var tempid = new Date().getTime();

                $('#option' + fs_optionid).html("<div class='time_yuyin' id='" + tempid + "'><em class='time_icon_yy'></em><span class='audiopath' data-duration='" + totaltime + "' data-score='" + score + "' data-optionid='" + fs_optionid + "' data-src='" + audiopath + "'>" + totaltime + "</span><dl class='delRecord'></dl></div><div class='audioscore'>得分:" + score + "</div>");
                $('#tempid').find('.delRecord').click(function() {

                    var audio_path = $(this).parent().find('.audiopath').data('src');
                    commAdapter.callAndroid.cancelAudio(audio_path);
                    $(this).parent().remove();
                    return false;
                });

                $('.audiopath', $('#' + tempid)).click(function() {
                    var obj_this_audio = $(this);
                    if (obj_this_audio.hasClass('spanplaying')) {
                        commAdapter.callAndroid.stopPlayAudio();
                        $(this).removeClass('spanplaying')
                    } else {
                        var audio_path = obj_this_audio.data('src');
                        commAdapter.callAndroid.playAudio(audio_path, 'audioplay', function() {
                            bf_span_obj.removeClass('spanplaying')
                        });
                        bf_span_obj = obj_this_audio;
                        $('.audiopath').removeClass('spanplaying')
                        $(this).addClass('spanplaying')
                    }
                });
            });
        });
    }
}

function canceltimer() {
    clearInterval(timer_t);
}

function startTimer() {
    total_ss = total_ss + 1;
    var temp_out_h = total_ss % 3600;
    t_hour = parseInt(total_ss / 3600);
    t_minute = parseInt(temp_out_h / 60);
    t_second = temp_out_h % 60;
    var text = timer_text_format(t_hour) + ":" + timer_text_format(t_minute) + ":" + timer_text_format(t_second);
    $('.lysc', $('#zylyjm')).html(text);
}

var timer_text_format = function (arg) {
    return arg >= 10 ? arg : "0" + arg;
}

function subwork(stype) {
    subtype = stype;
    commAdapter.callAndroid.showloading();
    submitWork();
}

/*提交作业 0、提交，1、保存*/
function submitWork() {
    try
    {
        $('tr:not(.zgsmall)').each(function() {
            var answer = "";
            $(this).find('.ture').each(function() {
                answer += $(this).data('value') + ',';
            });
            var que = {
                id: $(this).data("opid"),
                answer: answer
            };
            questionlist.push(que);
        });
        img_count = $('.preview img').not('.saved').length;
        audio_count = $('.audiopath').length;
        if (img_count > 0) {
            submitPic();
        } else if (audio_count > 0) {
            submitAudio();
        } else {
            subWorkInfo();
        }
    }
    catch (e)
    {
        alert(e.message);
    }
}

function submitPic() {
  //  alert("submitPic1");
    var img_arr = [];
    $('.preview img').not(".saved").each(function (i) {
        var index = $('.preview img').index(this);
        var s_path = $(this).data("sourcepath");
        img_arr.push({
            path: s_path,
            mainid: $(this).data('mainid'),
            index: index
        });
    });
    var saveobj = {
        shwid: shwId,
        pics: img_arr
    }
    var str = JSON.stringify(saveobj);
    /*提交图片*/
   // alert("submitPic2");
    commAdapter.callAndroid.uploadPics(str, "aftersubimg", function(ids) {
        pic_id_arr = ids.split(',');
        if (audio_count > 0) {
            submitAudio();
        } else {
            subWorkInfo();
        }
    });
}

function submitAudio() {
    var audio_arr = [];

    $('.audiopath').each(function (i) {
        var s_path = $(this).data('src');
        audio_arr.push({
            path: s_path,
            optionid: $(this).data('optionid'),
            duration: $(this).data('duration'),
            score:$(this).data('score')
        });
    });
    var saveobj = {
        audios: audio_arr
    };
    var str = JSON.stringify(audio_arr);
    /*保存语音*/
    commAdapter.callAndroid.saveAudio(str, "aftersaveaudio", function(ids) {
        audio_id_arr = ids.split(',');
        subWorkInfo();
    });
}

function subWorkInfo() {
    var arr_up_id = pic_id_arr.concat(audio_id_arr);
    var subinfo = {
        ques: questionlist,
        picids: arr_up_id,
        subtype:subtype
    }
    var str = JSON.stringify(subinfo);
    /*作业提交*/
    commAdapter.callAndroid.savework(str);
}