package com.oosic.net.wifi;

import java.util.List;

import android.net.wifi.ScanResult;
import android.net.wifi.WifiConfiguration;

/**
 * It is the listener which is called when a wifi scan completed.
 * @author CHEN JIAN WEN
 *
 */
public interface WifiScanCompleteListener {

    /**
     * It is called when the wifi scan is completed.
     * @param results It is the scan resulte set.
     * @param confs It is the wifi configureation set.
     */
    public void onComplete(List<ScanResult> results, List<WifiConfiguration> confs);
}
