package com.oozic.net.fdt;

import com.oozic.net.NetData;
import com.oozic.net.NetDataInteger;

/**
 * It is the send file error
 * @author CHEN JIAN WEN
 *
 */
class Data_SendFileErr extends NetDataInteger {

    /**
     * It constructs the error.
     */
    Data_SendFileErr() {
        super(NetData.ID_FILE_TRANSCEIVE_ERROR);
    }

    /**
     * It constructs the error.
     * @param errorCode It is the error code
     */
    Data_SendFileErr(int errorCode) {
        super(NetData.ID_FILE_TRANSCEIVE_ERROR, errorCode);
    }

    /**
     * It gets the error
     * @return
     */
    int getErrorCode() {
        return getInteger();
    }
}
