package com.oozic.net.fdt;

/**
 * It is the listener of file receiver.
 * @author CHEN JIAN WEN
 *
 */
public interface FileReceiveListener {
    /**
     * It is called when a file is received successfully.
     * @param name It is the file path received.
     */
    public void onComplete(String path);

    /**
     * It is call when a file data package is received.
     * @param per It is he persent of the file that has received.
     */
    public void onDataReceived(float per);

    /**
     * It is called when a error occurs during receiving a file.
     * @param errorCode It is the error code.
     */
    public void onError(int errorCode);
}
