package com.oozic.time;

/**
 * It defines the actions in a monitor.
 * @author CHEN JIAN WEN
 *
 */
public interface MonitorActions {
    /**
     * It is called to check if the trigger case is matched.
     * @return It returns values that larger than -1 when the case is matched.
     */
    public int isTriggered();

    /**
     * It is called to process the trigger event.
     */
    public void onTriggered(int event);
}
