/**
 * Created by yang on 2017/8/3.
 */

$(function(){

    window.mainPage = new MainPage();

    setupWebViewJavascriptBridge(function (bridge) {

        //初始化页面，{"mainIndex":1,"optionIndex":1,"quesObj":quesObj,"answerObj":answerObj}
        bridge.registerHandler('initMainPage', function (data) {

            if(isAndroid){
                data = ZYPTJsNative.initMainPage();
            }

            var result = JSON.parse(data);
            var mainIndex = result.mainIndex;
            var optionIndex = result.optionIndex;
            var quesObj = result.quesObj;
            var answerObj = result.answerObj;

            if(answerObj == null){
                answerObj = JSON.parse(data).quesObj;
            }

            var fromPage = result.fromPage;
            window.mainPage.initQues(From.Mobile, mainIndex, optionIndex, quesObj, answerObj, fromPage);
        });

        bridge.registerHandler('getStuAnswer', function (data,callback) {
            callback(window.mainPage.getStuAnswer());
        })
    });
});
