package com.oozic.designpatterns;

/**
 * It defines the safe action that a controller have to apply.
 * @author CHEN JIAN WEN
 *
 */
public interface ControllerActions {
    /**
     * It is called when the application is brought to the font.
     */
    public void resume();

    /**
     * It is called when the application is sent to the background.
     */
    public void pause();

    /**
     * Destroy current object.
     */
    public void destroy();
}
