package com.oozic.net;

import com.oozic.net.NetData;

/**
 * It is the empty net data.
 * @author CHEN JIAN WEN
 *
 */
public class NetDataEmpty extends NetData {

    /**
     * It constructs the data
     * @param id It is the protocol id to set.
     */
    public NetDataEmpty(int id) {
        mID = id;
    }

    @Override
    public byte[] toBytes() {
        final int length = FIXED_HEAD_SIZE;

        final byte mainBuffer[] = new byte[length];
        writeHead(mainBuffer, length, 0);

        return mainBuffer;
    }

    @Override
    public boolean fromBytes(byte[] bytes) {
        final int lens[] = checkBytes(bytes);

        if (lens == null) return false;

        return true;
    }
}
