package com.oozic.net;


/**
 * It defines the interface of net data receiver.
 * @author CHEN JIAN WEN.
 */
public interface NetDataReceiverListener {
    /**
     * It runs the process of package.
     * @param key It is the key.
     * @param pack It is the package to proceeds.
     * @param nu It is the package source.
     */
    void run(int key, ByteBufferPackage pack, NetUser nu);

    /**
     * It is called when the receiver is timeout.
     * @param action It is the action of the package to receive.
     * @param id It is the id of the package to receive.
     * @param key It is the key of the package to receive.
     */
    void onTimeOut(int action, int id, int key);
}
