package com.oozic.net;


/**
 * It is the export listener of receiving net packages.
 * @author CHEN JIAN WEN
 * @version 1
 */
public interface NetPackageListener {
    /**
     * It is called when a package is received.
     * @param nu It is the net use who send the data package.
     * @param dp It is the data package received.
     */
    public void onReceive(NetUser nu, DataPackage dp);
}
