package com.oozic.net.fdt;

import com.oozic.net.NetData;
import com.oozic.net.NetDataFileTransferTask;

class Data_SendFileAck extends NetDataFileTransferTask {

    /**
     * It constructs the file ack.
     */
    Data_SendFileAck() {
        super(NetData.ID_FILE_TRANSCEIVE_ACK);
    }

    /**
     * It constructs the file ack.
     * @param blockSize It is the block size.
     * @param dataKey It is the data key.
     * @param blockIndexes It is the block index.
     */
    Data_SendFileAck(int blockSize, int dataKey, int ... blockIndexes) {
        super(NetData.ID_FILE_TRANSCEIVE_ACK, blockSize, dataKey, blockIndexes);
    }
}
